Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Data Structures | Typedefs | Functions
vg_priv.h File Reference
`#include "hdf_priv.h"`
`#include "hfile_priv.h"`
`#include "tbbt_priv.h"`

## Data Structures
struct | SYMDEF
struct | VWRITELIST
struct | DYN_VWRITELIST
struct | vs_attr_t
struct | vg_attr_t
struct | DYN_VREADLIST
struct | VGROUP
struct | VDATA
struct | vginstance_t
struct | vsinstance_t
struct | vfile_t

## Typedefs
typedef VDATA | VSUBGROUP

## Functions
VDATA * | VSIget_vdata_node (void)
void | VSIrelease_vdata_node (VDATA *v)
intn | VSIgetvdatas (int32 id, const char *vsclass, const uintn start_vd, const uintn n_vds, uint16 *refarray)
vsinstance_t * | VSIget_vsinstance_node (void)
void | VSIrelease_vsinstance_node (vsinstance_t *vs)
VGROUP * | VIget_vgroup_node (void)
void | VIrelease_vgroup_node (VGROUP *v)
vginstance_t * | VIget_vginstance_node (void)
void | VIrelease_vginstance_node (vginstance_t *vg)
intn | VPparse_shutdown (void)
vfile_t * | Get_vfile (HFILEID f)
vsinstance_t * | vsinst (HFILEID f, uint16 vsid)
vginstance_t * | vginst (HFILEID f, uint16 vgid)
DYN_VWRITELIST * | vswritelist (int32 vskey)
intn | vpackvg (VGROUP *vg, uint8 buf[], int32 *size)
int32 | vinsertpair (VGROUP *vg, uint16 tag, uint16 ref)
intn | vpackvs (VDATA *vs, uint8 buf[], int32 *size)
VGROUP * | VPgetinfo (HFILEID f, uint16 ref)
VDATA * | VSPgetinfo (HFILEID f, uint16 ref)
int16 | map_from_old_types (intn type)
void | trimendblanks (char *ss)

## Typedef Documentation

## ◆ VSUBGROUP

typedef VDATA VSUBGROUP

## Function Documentation

## ◆ Get_vfile()

vfile_t * Get_vfile | ( | HFILEID | f | ) |
| extern

## ◆ map_from_old_types()

int16 map_from_old_types | ( | intn | type | ) |
| extern

## ◆ trimendblanks()

void trimendblanks | ( | char * | ss | ) |
| extern

## ◆ vginst()

vginstance_t * vginst | ( | HFILEID | f,
|  | uint16 | vgid )
| extern

## ◆ VIget_vginstance_node()

vginstance_t * VIget_vginstance_node | ( | void |  | ) |
| extern

## ◆ VIget_vgroup_node()

VGROUP * VIget_vgroup_node | ( | void |  | ) |

## ◆ vinsertpair()

int32 vinsertpair | ( | VGROUP * | vg,
|  | uint16 | tag,
|  | uint16 | ref )
| extern

## ◆ VIrelease_vginstance_node()

void VIrelease_vginstance_node | ( | vginstance_t * | vg | ) |
| extern

## ◆ VIrelease_vgroup_node()

void VIrelease_vgroup_node | ( | VGROUP * | v | ) |

## ◆ vpackvg()

intn vpackvg | ( | VGROUP * | vg,
|  | uint8 | buf[],
|  | int32 * | size )
| extern

## ◆ vpackvs()

intn vpackvs | ( | VDATA * | vs,
|  | uint8 | buf[],
|  | int32 * | size )
| extern

## ◆ VPgetinfo()

VGROUP * VPgetinfo | ( | HFILEID | f,
|  | uint16 | ref )
| extern

## ◆ VPparse_shutdown()

intn VPparse_shutdown | ( | void |  | ) |
| extern

## ◆ VSIget_vdata_node()

VDATA * VSIget_vdata_node | ( | void |  | ) |

## ◆ VSIget_vsinstance_node()

vsinstance_t * VSIget_vsinstance_node | ( | void |  | ) |
| extern

## ◆ VSIgetvdatas()

intn VSIgetvdatas | ( | int32 | id,
|  | const char * | vsclass,
|  | const uintn | start_vd,
|  | const uintn | n_vds,
|  | uint16 * | refarray )

## ◆ vsinst()

vsinstance_t * vsinst | ( | HFILEID | f,
|  | uint16 | vsid )
| extern

## ◆ VSIrelease_vdata_node()

void VSIrelease_vdata_node | ( | VDATA * | v | ) |

## ◆ VSIrelease_vsinstance_node()

void VSIrelease_vsinstance_node | ( | vsinstance_t * | vs | ) |
| extern

## ◆ VSPgetinfo()

VDATA * VSPgetinfo | ( | HFILEID | f,
|  | uint16 | ref )
| extern

## ◆ vswritelist()

DYN_VWRITELIST * vswritelist | ( | int32 | vskey | ) |
| extern